diff a/src/jdk.jdeps/share/classes/com/sun/tools/javap/AttributeWriter.java b/src/jdk.jdeps/share/classes/com/sun/tools/javap/AttributeWriter.java
--- a/src/jdk.jdeps/share/classes/com/sun/tools/javap/AttributeWriter.java
+++ b/src/jdk.jdeps/share/classes/com/sun/tools/javap/AttributeWriter.java
@@ -34,10 +34,13 @@
 import java.lang.classfile.constantpool.*;
 import java.lang.classfile.attribute.*;
 import static java.lang.classfile.ClassFile.*;
 import static java.lang.classfile.attribute.StackMapFrameInfo.*;
 
+import com.sun.tools.javac.util.Assert;
+import com.sun.tools.javac.util.StringUtils;
+
 /*
  *  A writer for writing Attributes as text.
  *
  *  <p><b>This is NOT part of any supported API.
  *  If you write code that depends on this, you do so at your own risk.
@@ -522,10 +525,18 @@
                 for (var sc : attr.permittedSubclasses()) {
                     println(constantWriter.stringValue(sc));
                 }
                 indent(-1);
             }
+            case LoadableDescriptorsAttribute attr -> {
+                println("LoadableDescriptors:");
+                indent(+1);
+                for (var sc : attr.loadableDescriptors()) {
+                    println(constantWriter.stringValue(sc));
+                }
+                indent(-1);
+            }
             case SignatureAttribute attr -> {
                 print("Signature: #" + attr.signature().index());
                 tab();
                 println("// " + attr.signature().stringValue());
             }
